/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
  display: block;
}
body {
  line-height: 1;
}
ol, ul {
  list-style: none;
}
blockquote, q {
  quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}

/*
Screen Styles
Author: @bryanbergman
*/

/* Base
-------------------------------------- */

html {
    font-size: 100%; /* 1 */
    -webkit-text-size-adjust: 100%; /* 2 */
    -ms-text-size-adjust: 100%; /* 2 */
}

body {
    margin: 0;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 1em;
    background: #f5f5f5 url('../images/noise.png') repeat;
    text-shadow: #fff 0 1px 0;
    color: #555;
}

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

img {
  vertical-align: middle;
  border: 0; /* 1 */
  -ms-interpolation-mode: bicubic; /* 2 */
  max-width: 100%;
}

figure {
    margin: 0;
}

.chromeframe {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}

/* Layout
-------------------------------------- */

.main {
  padding: 0 1em;
  margin: 0 auto;
  max-width: 960px;
}

/* Links
-------------------------------------- */

a { color: #369; }

a:focus { outline: thin dotted; }

a:active,
a:hover {
    outline: 0;
}

a:hover { color: #39c; }

.button a, input[type="submit"] {
  text-decoration: none;
  color: #fff;
  text-shadow: rgba(0,0,0,.4) 1px 1px 2px;
  font-weight: 500;
  background: #66bbc6;

  background-color: #66bbc6;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#88dde6), to(#66bbc6));
  background-image: -webkit-linear-gradient(top, #88dde6, #66bbc6);
  background-image:    -moz-linear-gradient(top, #88dde6, #66bbc6);
  background-image:     -ms-linear-gradient(top, #88dde6, #66bbc6);
  background-image:      -o-linear-gradient(top, #88dde6, #66bbc6);
  background-image:         linear-gradient(to bottom, #88dde6, #66bbc6);

  border-right: 3px solid #55aab6;
  border-bottom: 3px solid #55aab6;

  -webkit-box-shadow: 1px 1px 2px 0 rgba(0,0,0,.3);
  -moz-box-shadow: 1px 1px 2px 0 rgba(0,0,0,.3);
          box-shadow: 1px 1px 2px 0 rgba(0,0,0,.3);

  -webkit-border-radius: 8px;
  -moz-border-radius: 8px;
          border-radius: 8px;
  -moz-background-clip: padding; -webkit-background-clip: padding-box; background-clip: padding-box;

}

.button a:hover, input[type="submit"]:hover {
  background-color: #76cbd6;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#99eef6), to(#66bbc6));
  background-image: -webkit-linear-gradient(top, #99eef6, #66bbc6);
  background-image:    -moz-linear-gradient(top, #99eef6, #66bbc6);
  background-image:     -ms-linear-gradient(top, #99eef6, #66bbc6);
  background-image:      -o-linear-gradient(top, #99eef6, #66bbc6);
  background-image:         linear-gradient(to bottom, #99eef6, #66bbc6);
}

.button a:active, input[type="submit"]:active {
  background-color: #86dbe6;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#88dde6), to(#66bbc6));
  background-image: -webkit-linear-gradient(top, #88dde6, #66bbc6);
  background-image:    -moz-linear-gradient(top, #88dde6, #66bbc6);
  background-image:     -ms-linear-gradient(top, #88dde6, #66bbc6);
  background-image:      -o-linear-gradient(top, #88dde6, #66bbc6);
  background-image:         linear-gradient(to bottom, #88dde6, #66bbc6);

  border: 2px solid #66bbc6;
  border-left: none;
}

/* Typography
-------------------------------------- */

b,
strong {
    font-weight: bold;
}
blockquote {
    margin: 1em 0;
    line-height: 1.4;
    font-style: italic;
}

h2 {
  text-align: center;
  color: rgba(35, 35, 35, .8);
  font-weight: 500;
  line-height: 1.2em;
  font-size: 1.2em;
  margin: 1em 0;
}

h3 {
  margin-bottom: .5em;
  font-size: 1em;
  font-weight: bold;
}

p {
  margin-bottom: 1em;
  line-height: 1.4;
}

/* Lists
-------------------------------------- */

ol,
ul {
    padding: 0;
    margin: 0;
}
nav ul,
nav ol {
    list-style: none;
    list-style-image: none;
}

/* Header
-------------------------------------- */

#header_container {
  background: #fff;
  -webkit-box-shadow: 0 1px 4px #999;
     -moz-box-shadow: 0 1px 4px #999;
          box-shadow: 0 1px 4px #999;
  position: relative;
}

header {
  padding: 1em;
}

#logo {
  margin: 0 auto 1em;
  text-align: center;
  width: 150px;
}

#logo a:hover {
  opacity:0.8;
  filter:alpha(opacity=80);
}

nav ul {
  text-align: center;
}

nav li {
  font-size: .75em;
  display: inline;
  margin-right: 1em;
}

nav li a {
  text-decoration: none;
  color: #888;
}

nav li a:hover {
  color: #666;
}

nav li:last-child {
  margin-right: 0;
}

.current a, .current a:hover { color: #246f9b;}

/* Welcome
-------------------------------------- */
#welcome_container {
  padding: 0 1em;
  background: url('../images/slide1.jpg') repeat-x;
  border-bottom: 2px solid #fff;
}

#welcome {
  max-width: 270px;
}

#welcome article {
  padding-top: 2em;
  padding-bottom: 2.6em;
}

#welcome_img_container {
  float: left;
  width: 55%;
}

#welcome_img { display: none; }

#welcome_img img { vertical-align: bottom; }

#welcome_text {
  text-shadow: rgba(255,255,255,.6) 1px 1px 2px;
  float: left;
}

#welcome_text p {
  margin-bottom: 1em;
}

#welcome_text .button {
  display: block;
  margin-bottom: 1em;
}

#welcome_text a {
  padding: .5em 1em;
  letter-spacing: .06em;
  display: inline-block;
}

#hello {
  display: block;
  font-size: 3.5em;
  font-weight: bold;
  color: #246f9b;
  color: rgba(26, 101, 145, .8);
  padding-bottom: .15em;
}

#pagehead {
  padding: 0 1em;
  background: url('../images/slide1.jpg') repeat-x;
  border-bottom: 2px solid #fff;
}

#pagehead h2 {
  font-weight: bold;
  color: #246f9b;
  color: rgba(26, 101, 145, .8);
}

/* Bullets
-------------------------------------- */

#bullets p { margin: 0; }

#bullets ul li {
  width: 100%;
  float: left;
  height: 160px;
  margin-bottom: 2em;

  background: #fff;

  -webkit-border-radius: 4px;
     -moz-border-radius: 4px;
          border-radius: 4px;

  -webkit-box-shadow: 0 1px 1px #999;
     -moz-box-shadow: 0 1px 1px #999;
          box-shadow: 0 1px 1px #999;

  -moz-background-clip: padding; -webkit-background-clip: padding-box; background-clip: padding-box;
}

#bullets ul li div {
  padding: 1.5em;
}

/* Slider
-------------------------------------- */

.flexslider-container {
  padding-bottom: 3.5em;
}

.flex-direction-nav {
  text-align: center;
  margin: 1em 0;
}

.flex-direction-nav li {
  display: inline;
}

.flex-direction-nav li:first-child {
  margin-right: 2em;
}

.slides li {
  text-align: center;
  line-height: 1.3em;
  font-style: italic;
}

.slides li span {
  font-style: normal;
  display: block;
  margin-top: 1em;
  font-weight: bold;
  color: #66bbc6;
}

/* Start
-------------------------------------- */

#start {
  text-align: center;
  width: 100%;
  border-top: 1px solid #ccc;
  padding: 4em 0;
}

#start span a {
  padding: .8em 3em;
  font-size: 1.2em;
}

/* How It Works
-------------------------------------- */

#how ul {
  margin-bottom: 2em;
}

#how li {
  width: 50%;
  float: left;
  text-align: center;
}

#how li img {
  max-width: 100%;
  display: block;
  margin: auto;
  padding: 1em;
  -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
  -moz-box-sizing: border-box;    /* Firefox, other Gecko */
  box-sizing: border-box;         /* Opera/IE 8+ */
}

#testimonials div {
  border-bottom: 1px solid #ccc;
  padding-bottom: 2em;
  margin-bottom: 2em;
}

#testimonials div:last-child {
  margin: 0 auto;
  border: none;
}

.quote_name {
  display: block;
  margin-top: 1em;
  font-style: italic;
}

/* About
-------------------------------------- */

.about { margin-top: 1em; }

#about_rob figure {
  margin: auto;
  margin-bottom: 1em;
  max-width: 200px;
}

#about_rob figure img {
  -webkit-box-shadow: 2px 2px 4px #999;
   -moz-box-shadow: 2px 2px 4px #999;
        box-shadow: 2px 2px 4px #999;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
        border-radius: 4px;
  -moz-background-clip: padding; -webkit-background-clip: padding-box; background-clip: padding-box;
}

.links {
  margin-top: 2em;
  margin-bottom: 1em;
}

.links img {
  margin: 1em 2em 1em 0;
}

#services_container {
  margin-bottom: 2em;

  background: #fff;

  -webkit-border-radius: 4px;
     -moz-border-radius: 4px;
          border-radius: 4px;

  -webkit-box-shadow: 0 1px 1px #999;
     -moz-box-shadow: 0 1px 1px #999;
          box-shadow: 0 1px 1px #999;

  -moz-background-clip: padding; -webkit-background-clip: padding-box; background-clip: padding-box;
}

#services { padding: 1em 2em 2em 2em; }

#services ul {
  line-height: 1.8em;
}

#services ul li {
  list-style-type: disc;
  list-style-position: inside;
}

/* Contact
-------------------------------------- */

iframe {
  height: 400px;
  width: 100%;
  margin-bottom: 2em;
  display: none;
}

.iframe-container {
  display: none;
}

.contact h1 {
  margin: 1em 0 .5em 0;
  font-size: 1em;
  font-weight: bold;
}

.vcard {
  border-bottom: 1px solid #ccc;
  /* padding-bottom: 2em; */
  margin-bottom: 2em;
}

.vcard a {
  margin-bottom: .5em;
  display: block;
}

.contact .vcard em {
  font-style: italic;
}

.contact .vcard p {
  margin: 0 0 1em 0;
}

.contact p {
  margin-bottom: 2em;
}

.contact span {
  margin-bottom: .5em;
  line-height: 1.4;
}

form {
    margin: 0 0 1em 0;
    padding-bottom: .5em;
    background: #fff;

  -webkit-border-radius: 4px;
     -moz-border-radius: 4px;
          border-radius: 4px;

  -webkit-box-shadow: 0 1px 1px #999;
     -moz-box-shadow: 0 1px 1px #999;
          box-shadow: 0 1px 1px #999;

  -moz-background-clip: padding; -webkit-background-clip: padding-box; background-clip: padding-box;
}

fieldset {
    border: none;
    border-bottom: 1px solid #ccc;
    margin: .5em;
}

button,
input,
select,
textarea {
    font-size: 100%; /* 1 */
    margin: 0; /* 2 */
    vertical-align: baseline; /* 3 */
    *vertical-align: middle; /* 3 */
    font-family: sans-serif;
    color: #222;
    text-transform: none;
    line-height: normal;
}

label {
  float: left;
  width: 15%;
  padding: .5em 0;
  color: #aaa;
}

input::-moz-focus-inner {
    border: 0;
    padding: 0;
}

input[type="text"] {
  width: 80%;
  -webkit-appearance: none;
  border: none;
  padding: .5em 0 .5em .5em;
}

textarea {
    resize: vertical;
    overflow: auto; /* 1 */
    vertical-align: top; /* 2 */
    border: 1px solid #ccc;
    border-bottom: none;
    width: 100%;

    -webkit-appearance: none;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

input[type="text"]:focus, textarea:focus {
  outline: none;
}

input[type="submit"] {
    -webkit-appearance: none; /* 2 */

    cursor: pointer; /* 3 */
    *overflow: visible;  /* 4 */
    margin: .5em 0 .5em .5em;
    border-left: none;
    border-top: none;
    padding: .3em .5em;
}

#formResponse {
  margin: .5em;
  color: #0a0;
  display: none;
}

.error {
  color: #a00;
}

.recaptchatable * {
  background: #fff!important;
}

.recaptchatable #recaptcha_image {
  border: 1px solid #ccc;
}

/* Footer
-------------------------------------- */

.footer_container {
  background: #fff;
  width: 100%;
  clear: both;
  border-top: 1px solid #ccc;
  text-align: center;
  padding: 1em 0;
  margin-top: 2em;
  font-size: .8em;
}

footer ul {
  margin-bottom: .5em;
}

footer ul li {
  display: inline;
  margin-right: .5em;
}

footer p:last-of-type {
  margin-bottom: 1em;
}

footer p {
  display: block;
  margin-bottom: .5em;
}

/* Media Queries
-------------------------------------- */

@media screen and (min-width: 25em) {

  nav ul li {
    font-size: .9em;
  }

  #welcome { margin: 0 auto; }

}

@media screen and (min-width: 30em) {

  #welcome { max-width: 960px; }

  #welcome_img { 
    display: block; 
    max-width: 400px;
  }

  #welcome_text {
    width: 40%;
    font-size: .85em;
  }

  #bullets ul li { height: 120px; }

  #about_rob figure {
    float: left;
    width: 30%;
    margin-right: 1em;
    margin-bottom: .5em;
  }

  #services_container { width: 60%; }

  footer { font-size: 1.1em; }

  footer ul li { margin-right: 1em; }

}

@media screen and (min-width: 37em) {

  header { max-width: 960px; margin: 0 auto; }

  #logo_container {
    float: left;
    width: 30%;
  }

  #logo { margin: 0; }

  nav {
    float: right;
    width: 70%;
    padding-top: 1.35em;
  }

  nav ul {
    text-align: right;
  }
  
  nav ul li {
    display: inline;
    margin-right: 10%;
  }

  #welcome_text {
    font-size: 1em;
  }

  h2 {
    font-size: 2em;
  }

  #bullets { margin-bottom: 1em; }

  #bullets ul li {
    width: 48%;
    height: 145px;
  }

  .even {
    margin-left: 4%;
  }

  .flexslider {
    width: 70%;
    margin: auto;
  }

  .slides li {
    font-size: 1.3em;
  }

  .flex-direction-nav {
    text-align: left;
    margin: 0;
  }

  .flex-direction-nav li:first-child {
    margin-right: 0;
  }

  .flex-direction-nav li .next {
    background: rgba(0, 0, 0, 0.08) url(../images/right_arrow.png) no-repeat;
    float: right;
  }

  .flex-direction-nav li .prev {
    background: rgba(0, 0, 0, 0.08) url(../images/left_arrow.png) no-repeat;
    float: left;
  }

  .flex-direction-nav li a {
    width: 50px;
    height: 50px;
    display: block;
    position: relative;
    top: -7em;
  }

  .how p { line-height: 1.7em; }

  #how ul {
    margin-bottom: 2em;
  }

  #how ul li {
    width: 25%;
    float: left;
    text-align: center;
  }

  #how ul li img {
    padding: 0 1.5em 1.5em 1.5em;
    -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
    -moz-box-sizing: border-box;    /* Firefox, other Gecko */
    box-sizing: border-box;         /* Opera/IE 8+ */
  }

  iframe {
    display: block;
    margin-top: 1em;
  }

  .iframe-container {
    display: block;
    margin-top: 1em;
  }

}

@media screen and (min-width: 40em) {

  #logo_container { width: 40%; }

  nav { width: 60%; }

  #welcome_text { padding-top: 3em; }

  .flex-direction-nav li a { top: -6em; }

  #about_rob {
    float: left;
    width: 50%;
  }

  #services_container {
    width: 45%;
    float: left;
    margin-left: 5%;
  }

}

@media screen and (min-width: 55em) {

  #logo_container { width: 60%; }

  nav { width: 40%; }

  #bullets { margin-bottom: 2em; }

  .flex-direction-nav li a { top: -5em; }

   #services_container {
    width: 30%;
    margin-left: 5%;
  }

  #about_rob { width: 60%; }

  #services_container { width: 35%; }

  .iframe-container {
    float: left;
    width: 60%;
    margin-right: 5%;
  }

  .contact article {
    float: left;
    width: 35%;
  }

}

@media screen and (min-width: 62em) {

  #welcome article { padding-top: 1em; }

  #welcome_img_container { width: 55%; }

  #welcome_text { width: 30%; }

  .flex-direction-nav li a { top: -5em; }

}


/* Helper Classes
-------------------------------------- */

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}
.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}

.clearfix:before,
.clearfix:after {
    content: " "; /* 1 */
    display: table; /* 2 */
}

.clearfix:after {
    clear: both;
}

.clearfix {
    *zoom: 1;
}

/* ==========================================================================
   Print styles.
   Inlined to avoid required HTTP connection: h5bp.com/r
   ========================================================================== */

@media print {
    * {
        background: transparent !important;
        color: #000 !important; /* Black prints faster: h5bp.com/s */
        box-shadow: none !important;
        text-shadow: none !important;
    }

    a,
    a:visited {
        text-decoration: underline;
    }

    a[href]:after {
        content: " (" attr(href) ")";
    }

    abbr[title]:after {
        content: " (" attr(title) ")";
    }

    /*
     * Don't show links for images, or javascript/internal links
     */

    .ir a:after,
    a[href^="javascript:"]:after,
    a[href^="#"]:after {
        content: "";
    }

    pre,
    blockquote {
        border: 1px solid #999;
        page-break-inside: avoid;
    }

    thead {
        display: table-header-group; /* h5bp.com/t */
    }

    tr,
    img {
        page-break-inside: avoid;
    }

    img {
        max-width: 100% !important;
    }

    @page {
        margin: 0.5cm;
    }

    p,
    h2,
    h3 {
        orphans: 3;
        widows: 3;
    }

    h2,
    h3 {
        page-break-after: avoid;
    }
}